## AsLaunchable AsLaunchable — Object representing a way to launch the application. |

## Stability Level

Stable, unless otherwise indicated

## Functions

AsLaunchable * | as_launchable_new ()
AsLaunchableKind | as_launchable_kind_from_string ()
const gchar * | as_launchable_kind_to_string ()
const gchar * | as_launchable_get_value ()
AsLaunchableKind | as_launchable_get_kind ()
void | as_launchable_set_value ()
void | as_launchable_set_kind ()

## Types and Values

#define | AS_TYPE_LAUNCHABLE
struct | AsLaunchableClass
enum | AsLaunchableKind
| AsLaunchable

## Object Hierarchy

        GObject
        ╰── AsLaunchable

## Includes

    #include <appstream-glib.h>

## Description

Applications may be launchable using a different application ID to the component ID or may be launchable in some other way, e.g D-Bus, or using the default terminal emulator.

See also: AsApp

## Functions

### as_launchable_new ()

    AsLaunchable *
    as_launchable_new (void);

Creates a new AsLaunchable.

#### Returns

a AsLaunchable.

[transfer full]

Since: 0.6.13

### as_launchable_kind_from_string ()

    AsLaunchableKind
    as_launchable_kind_from_string (const gchar *kind);

Converts the text representation to an enumerated value.

#### Parameters

kind | the string. |

#### Returns

a AsLaunchableKind, or `AS_LAUNCHABLE_KIND_UNKNOWN` for unknown.

[transfer full]

Since: 0.6.13

### as_launchable_kind_to_string ()

    const gchar *
    as_launchable_kind_to_string (AsLaunchableKind kind);

Converts the enumerated value to an text representation.

#### Parameters

kind | the AsLaunchableKind. |

#### Returns

string version of `kind`

Since: 0.6.13

### as_launchable_get_value ()

    const gchar *
    as_launchable_get_value (AsLaunchable *launchable);

Gets the value to use for the launchable.

#### Parameters

launchable | a AsLaunchable instance. |

#### Returns

usually a desktop ID, e.g. "gimp.desktop"

Since: 0.6.13

### as_launchable_get_kind ()

    AsLaunchableKind
    as_launchable_get_kind (AsLaunchable *launchable);

Gets the launchable kind.

#### Parameters

launchable | a AsLaunchable instance. |

#### Returns

the AsLaunchableKind

Since: 0.6.13

### as_launchable_set_value ()

    void
    as_launchable_set_value (AsLaunchable *launchable,
                             const gchar *value);

Sets the fully-qualified mirror URL to use for the launchable.

#### Parameters

launchable | a AsLaunchable instance. |
value | the URL. |

Since: 0.6.13

### as_launchable_set_kind ()

    void
    as_launchable_set_kind (AsLaunchable *launchable,
                            AsLaunchableKind kind);

Sets the launchable kind.

#### Parameters

launchable | a AsLaunchable instance. |
kind | the AsLaunchableKind, e.g. `AS_LAUNCHABLE_KIND_DESKTOP_ID`. |

Since: 0.6.13

## Types and Values

### AS_TYPE_LAUNCHABLE

    #define AS_TYPE_LAUNCHABLE (as_launchable_get_type ())

### struct AsLaunchableClass

    struct AsLaunchableClass {
    	GObjectClass		parent_class;
    };

### enum AsLaunchableKind

The launchable type.

#### Members

AS_LAUNCHABLE_KIND_UNKNOWN | Type invalid or not known |
AS_LAUNCHABLE_KIND_DESKTOP_ID | A desktop ID |

### AsLaunchable

    typedef struct _AsLaunchable AsLaunchable;